import 'package:sport/bean/sport_detail.dart';

class GameRecord {
  RecordsTodaySum today;
  RecordsTodaySum sum;

  GameRecord({this.today, this.sum});

  GameRecord.fromJson(Map<String, dynamic> json) {
    today = json['today'] != null ? new RecordsTodaySum.fromJson(json['today']) : null;
    sum = json['today'] != null ? new RecordsTodaySum.fromJson(json['sum']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.today != null) {
      data['today'] = this.today.toJson();
    }
    if (this.sum != null) {
      data['sum'] = this.sum.toJson();
    }
    return data;
  }
}
