class Forum {
  String forumId;
  String gameId;
  String subjectCount;
  String userCount;
  String icon;
  String cover;
  String name;
  String digest;
  String gameName;
  bool hasUpdated;

  Forum(
      {this.forumId,
        this.gameId,
        this.subjectCount,
        this.userCount,
        this.icon,
        this.cover,
        this.name,
        this.digest,
        this.gameName,
        this.hasUpdated});

  Forum.fromJson(Map<String, dynamic> json) {
    forumId = json['forumId'];
    gameId = json['gameId'];
    subjectCount = json['subjectCount'];
    userCount = json['userCount'];
    icon = json['icon'];
    cover = json['cover'];
    name = json['name'];
    digest = json['digest'];
    gameName = json['gameName'];
    hasUpdated = json['has_updated'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['forumId'] = this.forumId;
    data['gameId'] = this.gameId;
    data['subjectCount'] = this.subjectCount;
    data['userCount'] = this.userCount;
    data['icon'] = this.icon;
    data['cover'] = this.cover;
    data['name'] = this.name;
    data['digest'] = this.digest;
    data['gameName'] = this.gameName;
    data['has_updated'] = this.hasUpdated;
    return data;
  }
}