import 'package:sport/bean/sport_target.dart';

class SportTargetToday {
  bool reach;
  int remain;
  SportTarget target;

  SportTargetToday({this.reach, this.remain, this.target});

  SportTargetToday.fromJson(Map<String, dynamic> json) {
    reach = json['reach'];
    remain = json['remain'];
    target = json['target'] != null ? new SportTarget.fromJson(json['target']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['reach'] = this.reach;
    data['remain'] = this.remain;
    if (this.target != null) {
      data['target'] = this.target.toJson();
    }
    return data;
  }
}
